summaryrefslogtreecommitdiff
path: root/artistic
diff options
context:
space:
mode:
authorMárcio Alexandre Silva Delgado <coadde@adinet.com.uy>2012-07-11 00:26:03 -0300
committerMárcio Alexandre Silva Delgado <coadde@adinet.com.uy>2012-07-11 00:26:03 -0300
commitad08923b11fd9c63be51905fb1767aa1107e2472 (patch)
treef08e1914f18a89e56d0dee1192c3446653663c48 /artistic
parentaf450d21762d5fa4b4933f0a58126cb450dcc2d4 (diff)
spnavcfg: adding package to artistic repo
Diffstat (limited to 'artistic')
-rw-r--r--artistic/spnavcfg/PKGBUILD20
1 files changed, 20 insertions, 0 deletions
diff --git a/artistic/spnavcfg/PKGBUILD b/artistic/spnavcfg/PKGBUILD
new file mode 100644
index 000000000..df9027bc5
--- /dev/null
+++ b/artistic/spnavcfg/PKGBUILD
@@ -0,0 +1,20 @@
+# Contributor: Jan Hambrecht <jaham at gmx dot net>
+# Maintainer (Parabola): Márcio Silva <coadde@lavabit.com>
+
+pkgname=spnavcfg
+pkgver=0.2.1
+pkgrel=1
+pkgdesc="The spacenav project provides a free, compatible alternative, to the proprietary 3Dconnexion device driver and SDK, for their 3D input devices (called 'space navigator', 'space pilot', 'space traveller', etc)."
+arch=('i686' 'x86_64' 'mips64el')
+url="http://spacenav.sourceforge.net/"
+license=('GPL')
+depends=('gtk2')
+source=(http://downloads.sourceforge.net/spacenav/$pkgname-$pkgver.tar.gz)
+md5sums=('d20cf09515d1e39fd04877a00a2023b5')
+
+build() {
+ cd $srcdir/$pkgname-$pkgver
+ ./configure --prefix=$pkgdir/usr
+ make || return 1
+ make DESTDIR=$pkgdir install || return 1
+}